net.dontdrinkandroot.jung.algorithms.scoring

## Class EdgeScorer<E>

- java.lang.Object
- - net.dontdrinkandroot.jung.algorithms.scoring.EdgeScorer<E>

    public class EdgeScorer<E>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EdgeScorer()`

### Method Summary

Methods
`void` `add(E edge, Double score)`
`Map<E,Double>` `getEdgeScores()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EdgeScorer

    public EdgeScorer()

### Method Detail

#### add

    public final void add(E edge,
           Double score)

#### getEdgeScores

    public Map<E,Double> getEdgeScores()